# easy_log

A new Flutter package project.

## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.

# How to use

```
import 'package:easy_log/easy_log.dart';

    EasyLog.addLogChanel(EasyLogChannel.Debug);
    EasyLog.addLogChanel(EasyLogChannel.Umeng);
    EasyLog.addLogChanel(EasyLogChannel.Facebook);

    EasyLog.logEvent('test001');
    EasyLog.logEventWithParams(
        'test002', {'test2Key1': 'test2Val1', 'test2Key2': 'test2Val2'});
    EasyLog.logEventWithParamAndValue(
      'test003',
      'test3Key0',
      'test3Val0',
      name1: 'test3Key1',
      value1: 'test3Val1',
      name2: 'test3Key2',
      value2: 'test3Val2',
      name3: 'test3Key3',
      value3: 'test3Val3',
    );

    EasyLog.calcEvent('test001', 1);
    EasyLog.calcEventWithParams(
        'test002', 1, {'test2Key1': 'test2Val1', 'test2Key2': 'test2Val2'});
    EasyLog.calcEventWithParams(
        'test002', 1, {'test2Key1': 'test2Val1', 'test2Key2': 'test2Val2'});
    EasyLog.calcEventWithParamAndValue(
      'test003',
      1,
      'test3Key0',
      'test3Val0',
      name1: 'test3Key1',
      value1: 'test3Val1',
      name2: 'test3Key2',
      value2: 'test3Val2',
      name3: 'test3Key3',
      value3: 'test3Val3',
    );
```