
class EasyLogBase {
  factory EasyLogBase() => _sharedInstance();
  static EasyLogBase _instance;
  EasyLogBase._();
  static EasyLogBase _sharedInstance() {
    if (_instance == null) {
    _instance = EasyLogBase._();
    }
    return _instance;
  }

  void event(String eventId) {
    print('base' + eventId);
  }

  void eventWithLabel(String eventId, String label) {
    print('base' + eventId + label);
  }

  void eventWithAttributes(String eventId, Map<String, String> attributes) {
    print('base' + eventId + attributes.toString());
  }

  void eventWithAttributesAndCounter(String eventId, Map<String, String> attributes, int number) {
    print('base' + eventId + attributes.toString() + number.toString());
  }

  void beginLogPageView(String pageName) {
    print('base' + 'begin' + pageName);
  }

  void endLogPageView(String pageName) {
    print('base' + 'end' + pageName);
  }
}