import './easy_log_base.dart';

class EasyLogDebug implements EasyLogBase {
  factory EasyLogDebug() => _sharedInstance();
  static EasyLogDebug _instance;
  EasyLogDebug._();
  static EasyLogDebug _sharedInstance() {
    if (_instance == null) {
    _instance = EasyLogDebug._();
    }
    return _instance;
  }

  void event(String eventId) {
    print('Debug' + eventId);
  }

  void eventWithLabel(String eventId, String label) {
    print('Debug' + eventId + label);
  }

  void eventWithAttributes(String eventId, Map<String, String> attributes) {
    print('Debug' + eventId + attributes.toString());
  }

  void eventWithAttributesAndCounter(String eventId, Map<String, String> attributes, int number) {
    print('Debug' + eventId + attributes.toString() + number.toString());
  }

  void beginLogPageView(String pageName) {
    print('Debug' + 'begin' + pageName);
  }

  void endLogPageView(String pageName) {
    print('Debug' + 'end' + pageName);
  }
}