import './easy_log_base.dart';

class EasyLogFacebook implements EasyLogBase {

  factory EasyLogFacebook() => _sharedInstance();
  static EasyLogFacebook _instance;
  EasyLogFacebook._();
  static EasyLogFacebook _sharedInstance() {
    if (_instance == null) {
    _instance = EasyLogFacebook._();
    }
    return _instance;
  }

  void event(String eventId) {
    print('Facebook ' + eventId);
  }

  void eventWithLabel(String eventId, String label) {
    print('Facebook ' + eventId + label);
  }

  void eventWithAttributes(String eventId, Map<String, String> attributes) {
    print('Facebook ' + eventId + attributes.toString());
  }

  void eventWithAttributesAndCounter(String eventId, Map<String, String> attributes, int number) {
    print('Facebook ' + eventId + attributes.toString() + number.toString());
  }

  void beginLogPageView(String pageName) {
    print('Facebook ' + 'begin' + pageName);
  }

  void endLogPageView(String pageName) {
    print('Facebook ' + 'end' + pageName);
  }
}